### Method

# Peas PluginInfo get_resource

#### Declaration [src]

    GResource*
    peas_plugin_info_get_resource (
      const PeasPluginInfo* info,
      const char* filename,
      GError** error
    )

#### Description [src]

Creates a new `GResource` for the given `filename` located in the module directory. If `filename` is `NULL` then “${module_name}.gresource” will be loaded.

#### Parameters

`filename`

  Type: `const char*`

  The filename of the resource, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GResource`

A new `GResource`, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.